-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local trace = {}
local telemetry_enable = false
local span_mt = {
    add_link = function(...)
    end,
    set_attribute = function(...)
    end,
    add_event = function(...)
    end,
    set_status = function (...)
    end,
    get_context = function (...)
    end,
    is_recording = function(...)
    end,
    finish = function (...)
    end
}

local tracer_mt = {
    start_span = function(...)
        return span_mt
    end
}

trace.get_tracer = function(...)
    return tracer_mt
end

local function handle_spancontext()
    
end

trace.handle_spancontext = handle_spancontext

function trace.set_status(status)
    telemetry_enable = status
end

return trace